Subject: linux-next: manual merge of the bpf-next tree with the powerpc tree

From: Mark Brown <[email-masked]>
Date: Tue, 7 Apr 2026 12:56:55 +0100

Hi all,

Today's linux-next merge of the bpf-next tree got a conflict in:

  tools/testing/selftests/bpf/prog_tests/bpf_insn_array.c

between commit:

  66cad93ad325b ("selftest/bpf: Enable instruction array test for powerpc")

from the powerpc tree and commit:

  99726ece0c8ad ("selftests/bpf: Enable test for instruction array on arm64")

from the bpf-next tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

diff --cc tools/testing/selftests/bpf/prog_tests/bpf_insn_array.c
index 482d38b9c29e1,93166c2da8e7b..0000000000000
--- a/tools/testing/selftests/bpf/prog_tests/bpf_insn_array.c
+++ b/tools/testing/selftests/bpf/prog_tests/bpf_insn_array.c
@@@ -3,7 -3,7 +3,7 @@@
  #include <bpf/bpf.h>
  #include <test_progs.h>
  
- #if defined(__x86_64__) || defined(__powerpc__)
 -#if defined(__x86_64__) || defined(__aarch64__)
++#if defined(__x86_64__) || defined(__powerpc__) || defined(__aarch64__)
  static int map_create(__u32 map_type, __u32 max_entries)
  {
  	const char *map_name = "insn_array";